## org.codehaus.groovy.reflection
Class ClassInfo.ClassInfoSet

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentMap<K,V>
              org.codehaus.groovy.util.ManagedConcurrentMap<Class,ClassInfo>
                  org.codehaus.groovy.reflection.ClassInfo.ClassInfoSet

Enclosing class:
  ClassInfo

    public static class ClassInfo.ClassInfoSet

extends ManagedConcurrentMap<Class,ClassInfo>

Nested Class Summary

Nested classes/interfaces inherited from class org.codehaus.groovy.util.ManagedConcurrentMap
`ManagedConcurrentMap.Entry<K,V>, ManagedConcurrentMap.EntryWithValue<K,V>`

Field Summary

Fields inherited from class org.codehaus.groovy.util.ManagedConcurrentMap
`bundle`

Fields inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase
`MAXIMUM_CAPACITY, segments`

Constructor Summary
`ClassInfo.ClassInfoSet(ReferenceBundle bundle)`

Method Summary
`protected org.codehaus.groovy.reflection.ClassInfo.ClassInfoSet.Segment` `createSegment(Object segmentInfo, int cap)`

Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMap
`get, getOrPut, put, remove, segmentFor`

Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase
`fullSize, hash, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassInfo.ClassInfoSet

    public ClassInfo.ClassInfoSet(ReferenceBundle bundle)

Method Detail

### createSegment

    protected org.codehaus.groovy.reflection.ClassInfo.ClassInfoSet.Segment createSegment(Object segmentInfo,
                                                                                          int cap)

  Overrides:
    `createSegment` in class `ManagedConcurrentMap<Class,ClassInfo>`

Copyright © 2003-2009 The Codehaus. All rights reserved.